Vector Stores
Create vector store
client.vectorStores.create(VectorStoreCreateParams { chunking_strategy, description, expires_after, 3 more } body , RequestOptionsoptions ?): VectorStore { id, created_at, file_counts, 8 more }
POST
/vector_storesDelete vector store
client.vectorStores.delete(stringvectorStoreID , RequestOptionsoptions ?): VectorStoreDeleted { id, deleted, object }
DELETE
/vector_stores/{vector_store_id}List vector stores
client.vectorStores.list(VectorStoreListParams { after, before, limit, order } query ?, RequestOptionsoptions ?): CursorPage<VectorStore { id, created_at, file_counts, 8 more } >
GET
/vector_storesRetrieve vector store
client.vectorStores.retrieve(stringvectorStoreID , RequestOptionsoptions ?): VectorStore { id, created_at, file_counts, 8 more }
GET
/vector_stores/{vector_store_id}Search vector store
client.vectorStores.search(stringvectorStoreID , VectorStoreSearchParams { query, filters, max_num_results, 2 more } body , RequestOptionsoptions ?): Page<VectorStoreSearchResponse { attributes, content, file_id, 2 more } >
POST
/vector_stores/{vector_store_id}/searchModify vector store
client.vectorStores.update(stringvectorStoreID , VectorStoreUpdateParams { expires_after, metadata, name } body , RequestOptionsoptions ?): VectorStore { id, created_at, file_counts, 8 more }
POST
/vector_stores/{vector_store_id}Vector StoresFile Batches
Cancel vector store file batch
client.vectorStores.fileBatches.cancel(stringbatchID , FileBatchCancelParams { vector_store_id } params , RequestOptionsoptions ?): VectorStoreFileBatch { id, created_at, file_counts, 3 more }
POST
/vector_stores/{vector_store_id}/file_batches/{batch_id}/cancelCreate vector store file batch
client.vectorStores.fileBatches.create(stringvectorStoreID , FileBatchCreateParams { attributes, chunking_strategy, file_ids, files } body , RequestOptionsoptions ?): VectorStoreFileBatch { id, created_at, file_counts, 3 more }
POST
/vector_stores/{vector_store_id}/file_batchesList vector store files in a batch
client.vectorStores.fileBatches.listFiles(stringbatchID , FileBatchListFilesParams { vector_store_id, after, before, 3 more } params , RequestOptionsoptions ?): CursorPage<VectorStoreFile { id, created_at, last_error, 6 more } >
GET
/vector_stores/{vector_store_id}/file_batches/{batch_id}/filesRetrieve vector store file batch
client.vectorStores.fileBatches.retrieve(stringbatchID , FileBatchRetrieveParams { vector_store_id } params , RequestOptionsoptions ?): VectorStoreFileBatch { id, created_at, file_counts, 3 more }
GET
/vector_stores/{vector_store_id}/file_batches/{batch_id}Vector StoresFiles
Retrieve vector store file content
client.vectorStores.files.content(stringfileID , FileContentParams { vector_store_id } params , RequestOptionsoptions ?): Page<FileContentResponse { text, type } >
GET
/vector_stores/{vector_store_id}/files/{file_id}/contentCreate vector store file
client.vectorStores.files.create(stringvectorStoreID , FileCreateParams { file_id, attributes, chunking_strategy } body , RequestOptionsoptions ?): VectorStoreFile { id, created_at, last_error, 6 more }
POST
/vector_stores/{vector_store_id}/filesDelete vector store file
client.vectorStores.files.delete(stringfileID , FileDeleteParams { vector_store_id } params , RequestOptionsoptions ?): VectorStoreFileDeleted { id, deleted, object }
DELETE
/vector_stores/{vector_store_id}/files/{file_id}List vector store files
client.vectorStores.files.list(stringvectorStoreID , FileListParams { after, before, filter, 2 more } query ?, RequestOptionsoptions ?): CursorPage<VectorStoreFile { id, created_at, last_error, 6 more } >
GET
/vector_stores/{vector_store_id}/filesRetrieve vector store file
client.vectorStores.files.retrieve(stringfileID , FileRetrieveParams { vector_store_id } params , RequestOptionsoptions ?): VectorStoreFile { id, created_at, last_error, 6 more }
GET
/vector_stores/{vector_store_id}/files/{file_id}Update vector store file attributes
client.vectorStores.files.update(stringfileID , FileUpdateParams { vector_store_id, attributes } params , RequestOptionsoptions ?): VectorStoreFile { id, created_at, last_error, 6 more }
POST
/vector_stores/{vector_store_id}/files/{file_id}